Orxonox: Tcl::details::callback7< R, T1, T2, T3, T4, T5, T6, T7 > Class Template Reference

# Tcl::details::callback7< R, T1, T2, T3, T4, T5, T6, T7 > Class Template Reference

`#include <src/cpptcl/cpptcl.h>`

Inheritance diagram for Tcl::details::callback7< R, T1, T2, T3, T4, T5, T6, T7 >:

List of all members.

## Public Member Functions

| callback7 (functor_type f)
virtual void | invoke (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], policies const &)

## Private Types

typedef R(* | functor_type )(T1, T2, T3, T4, T5, T6, T7)

## Private Attributes

functor_type | f_

### template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7>
class Tcl::details::callback7< R, T1, T2, T3, T4, T5, T6, T7 >

## Member Typedef Documentation

template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7>

typedef R(* Tcl::details::callback7< R, T1, T2, T3, T4, T5, T6, T7 >::functor_type)(T1, T2, T3, T4, T5, T6, T7)`[private]`

## Constructor & Destructor Documentation

template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7>

Tcl::details::callback7< R, T1, T2, T3, T4, T5, T6, T7 >::callback7 | ( | functor_type | f | ) | `[inline]`

## Member Function Documentation

template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7>

virtual void Tcl::details::callback7< R, T1, T2, T3, T4, T5, T6, T7 >::invoke | ( | Tcl_Interp * | interp,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[],
|  | policies const & |  |
| ) |  |  | `[inline, virtual]`

Implements Tcl::details::callback_base.

## Member Data Documentation

template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7>

functor_type Tcl::details::callback7< R, T1, T2, T3, T4, T5, T6, T7 >::f_`[private]`

The documentation for this class was generated from the following file:

- src/cpptcl/cpptcl.h